com.h3c.of.lib.msg

## Class OfmFlowRemoved

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmFlowRemoved

- All Implemented Interfaces:
    Message, Structure
  Direct Known Subclasses:
    OfmMutableFlowRemoved

      public class OfmFlowRemoved
      extends OpenflowMessage

  Represents an Openflow FLOW_REMOVED message; Since 1.0. This is an asynchronous message which comes from datapath.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getByteCount()` Returns the number of bytes associated with this flow; Since 1.0.
    `long` | `getCookie()` Returns the Opaque controller-issued identifier; Since 1.0.
    `long` | `getDurationNanoSeconds()` Returns the time flow was alive in nanoseconds beyond the `number of seconds`; Since 1.0.
    `long` | `getDurationSeconds()` Returns the time flow was alive in seconds; Since 1.0.
    `int` | `getHardTimeout()` Returns the hard timeout from the original flow mod; Since 1.2.
    `int` | `getIdleTimeout()` Returns the idle timeout from the original flow mod; Since 1.0.
    `Match` | `getMatch()` Returns the match; Since 1.0.
    `long` | `getPacketCount()` Returns the number of packets associated with this flow; Since 1.0.
    `int` | `getPriority()` Returns the priority level of the flow entry; Since 1.0.
    `FlowRemovedReason` | `getReason()` Returns the reason the flow was removed; Since 1.0.
    `TableId` | `getTableId()` Returns the table ID; Since 1.1.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowMessage`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowMessage`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowMessage.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowMessage`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### getMatch

          public Match getMatch()

      Returns the match; Since 1.0.
      Returns:
        the match

    - #### getCookie

          public long getCookie()

      Returns the Opaque controller-issued identifier; Since 1.0.
      Returns:
        the cookie

    - #### getPriority

          public int getPriority()

      Returns the priority level of the flow entry; Since 1.0.
      Returns:
        the priority

    - #### getReason

          public FlowRemovedReason getReason()

      Returns the reason the flow was removed; Since 1.0.
      Returns:
        the reason

    - #### getTableId

          public TableId getTableId()

      Returns the table ID; Since 1.1.
      The ID of the table from which the flow was removed.

      For 1.0 messages this method returns 0.

      Returns:
        the tableId

    - #### getDurationSeconds

          public long getDurationSeconds()

      Returns the time flow was alive in seconds; Since 1.0.
      Returns:
        the number of seconds the flow was alive

    - #### getDurationNanoSeconds

          public long getDurationNanoSeconds()

      Returns the time flow was alive in nanoseconds beyond the `number of seconds`; Since 1.0.
      Returns:
        the additional nano seconds

    - #### getIdleTimeout

          public int getIdleTimeout()

      Returns the idle timeout from the original flow mod; Since 1.0.
      Returns:
        the idle timeout

    - #### getHardTimeout

          public int getHardTimeout()

      Returns the hard timeout from the original flow mod; Since 1.2.
      Returns:
        the hard timeout

    - #### getPacketCount

          public long getPacketCount()

      Returns the number of packets associated with this flow; Since 1.0.
      Returns:
        the number of packets

    - #### getByteCount

          public long getByteCount()

      Returns the number of bytes associated with this flow; Since 1.0.
      Returns:
        the number of bytes

Copyright © 2014. All Rights Reserved.